using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace UltraTab_Wizard
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void tabWizard_SelectedTabChanged(object sender, Infragistics.Win.UltraWinTabControl.SelectedTabChangedEventArgs e)
        {
            int totaltabs = tabWizard.Tabs.Count - 1;
            int tabindex = tabWizard.ActiveTab.Index;
            int position = totaltabs - tabindex;

            if (position == 0)
            {
                btnBack.Enabled = true;
                btnNext.Enabled = false;
            }
            else if (position == totaltabs)
            {
                btnBack.Enabled = false;
                btnNext.Enabled = true;
            }
            else
            {
                btnBack.Enabled = true;
                btnNext.Enabled = true;
            }
        }

        private void btnNext_Click(object sender, EventArgs e)
        {
            tabWizard.PerformAction(Infragistics.Win.UltraWinTabControl.UltraTabControlAction.NavigateNextTab);
        }

        private void btnBack_Click(object sender, EventArgs e)
        {
            tabWizard.PerformAction(Infragistics.Win.UltraWinTabControl.UltraTabControlAction.NavigatePreviousTab);
        }
    }
}